Bug 912477 - Review Request: perl-Filesys-SmbClient - Samba client Perl module
Summary: Review Request: perl-Filesys-SmbClient - Samba client Perl module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-18 18:39 UTC by Normunds
Modified: 2013-02-28 07:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 06:58:30 UTC
Type: ---
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Normunds 2013-02-18 18:39:59 UTC
Spec URL: http://unibackup.rule.lv/FedoraRPM/perl-Filesys-SmbClient.spec
SRPM URL: http://unibackup.rule.lv/FedoraRPM/perl-Filesys-SmbClient-3.2-1.fc18.src.rpm
Description: Access Samba shares with Perl.
Fedora Account System Username: normunds

Comment 1 Normunds 2013-02-18 18:43:23 UTC
Builds were tested with koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5023207
http://koji.fedoraproject.org/koji/taskinfo?taskID=5023350
http://koji.fedoraproject.org/koji/taskinfo?taskID=5023450
http://koji.fedoraproject.org/koji/taskinfo?taskID=5023612

Installed package was tested with upstream package tests:

[fedora18] Filesys-SmbClient-3.2 $ perl t/*
1..19
ok 1 - Load module
ok 2 - Create directory
ok 3 - Create existent directory
ok 4 - Create file
ok 5 - Rename file
ok 6 - Stat file
ok 7 - Stat non-existent file
ok 8 - Read file
ok 9 - Read short directory
ok 10 - Read long directory
ok 11 - Unlink file
ok 12 - Unlink non-existent file
ok 13 - Create directory
ok 14 - Create directory
ok 15 - Rmdir entire directory
ok 16 - Rm directory
ok 17 - Rm non-existent directory
ok 18 - Rename non-existent file
There is a .c file in this directory with info about your params
for you SMB server test. Think to remove it if you have finish
with test.

ok 19 - shutdown
[fedora18] Filesys-SmbClient-3.2 $ perl t/02tie.t
1..25
ok 1 - Create directory
ok 2 - tie & open
ok 3 - TIE: return of syswrite
ok 4 - TIE: return of syswrite on a closed filehandle
ok 5 - TIE: tie & open a file
stat() on unopened filehandle FD at /usr/share/perl5/File/Copy.pm line 138, <F> line 1.
ok 6 - copy a filehandle with File::Copy
ok 7 - TIE: Read one ligne of a file
ok 8 - TIE: Read another ligne of a file
ok 9 - TIE: getc of a file
ok 10 - TIE: getc of a file
ok 11 - TIE: getc of a file
ok 12 - TIE: getc of a file
ok 13 - TIE: seek SEEK_SET a file
ok 14 - TIE: Return of read
ok 15 - TIE: buffer read
ok 16 - TIE: Seek SEEK_CUR a file open
ok 17 - TIE: Seek SEEK_END a file open
ok 18 - TIE: sysread return 0 at end of file
ok 19 - TIE: seek return undef on closed file
ok 20 - TIE: read return undef on closed file
ok 21 - TIE: sysread return undef on closed file
ok 22 - TIE: Read a file in list context
ok 23 - Unlink file
ok 24 - TIE: open a non-existent file
ok 25 - Rm directory
[fedora18] Filesys-SmbClient-3.2 $ perl t/03tie_perl56.t
1..20
ok 1 - Create directory
ok 2 - TIE: open to create a file
ok 3 - TIE: return of syswrite
ok 4 - TIE: return of syswrite on a closed filehandle
ok 5 - TIE: read a file
ok 6 - TIE: Read one ligne of a file
ok 7 - TIE: Read another ligne of a file
ok 8 - TIE: getc of a file
ok 9 - TIE: getc of a file
ok 10 - TIE: getc of a file
ok 11 - TIE: getc of a file
ok 12 - TIE: seek SEEK_SET a file
ok 13 - TIE: Return of read
ok 14 - TIE: buffer read
ok 15 - TIE: seek closed file
ok 16 - TIE: read closed file
ok 17 - TIE: Read a file in list context
ok 18 - Unlink file
ok 19 - TIE: open a non-existent file
ok 20 - Rm directory
[fedora18] Filesys-SmbClient-3.2 $

Comment 2 Normunds 2013-02-18 18:48:51 UTC
Upstream is notified about rpmlint license issue here:
https://rt.cpan.org/Public/Bug/Display.html?id=83366

Comment 3 Petr Šabata 2013-02-20 16:10:32 UTC
The license address is not a blocker.

Since your package doesn't run the tests (for stated reasons), you can remove most of your BRs, keeping just perl(ExtUtils::MakeMaker) and perl(ExtUtils::MakeMaker).

> 54 perl Makefile.PL INSTALLDIRS=vendor CCFLAGS='-DHAVE_CLOSEFN'

This is an arch-dependent module, add OPTIMIZE="%{optflags}" here.


The rest of the package looks good.

Comment 4 Normunds 2013-02-21 12:05:54 UTC
Thanks :)

 * Removed BuildRequires except MakeMaker and samba dependency.
 * Added OPTIMIZE to Makefile.PL
 * Re-tested with Mock, currently re-testing with koji. Will post a note here if something fails (max 2 hours from now).

Best regards.

Comment 5 Petr Šabata 2013-02-21 15:58:43 UTC
The current state is good enough for the review now.
Approving.

Comment 6 Normunds 2013-02-21 16:01:40 UTC
Thanks :)

New Package SCM Request
=======================
Package Name: perl-Filesys-SmbClient
Short Description: Samba client Perl module
Owners: normunds psabata
Branches: f17 f18
InitialCC: perl-sig

Comment 7 Gwyn Ciesla 2013-02-21 16:26:51 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-02-21 18:55:16 UTC
perl-Filesys-SmbClient-3.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Filesys-SmbClient-3.2-1.fc17

Comment 9 Fedora Update System 2013-02-21 19:04:37 UTC
perl-Filesys-SmbClient-3.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Filesys-SmbClient-3.2-1.fc18

Comment 10 Fedora Update System 2013-02-24 08:42:36 UTC
perl-Filesys-SmbClient-3.2-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 11 Fedora Update System 2013-02-28 06:58:32 UTC
perl-Filesys-SmbClient-3.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 12 Fedora Update System 2013-02-28 07:08:18 UTC
perl-Filesys-SmbClient-3.2-1.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.